Index: cprs/branches/HealthSevak-CPRS/CPRS-Chart/fAddlSigners.pas
===================================================================
--- cprs/branches/HealthSevak-CPRS/CPRS-Chart/fAddlSigners.pas	(revision 1676)
+++ cprs/branches/HealthSevak-CPRS/CPRS-Chart/fAddlSigners.pas	(revision 1693)
@@ -31,5 +31,4 @@
     procedure cmdOKClick(Sender: TObject);
     procedure cmdCancelClick(Sender: TObject);
-    procedure cboSrcListMouseClick(Sender: TObject);
     procedure btnRemoveSignersClick(Sender: TObject);
     procedure FormCreate(Sender: TObject);
@@ -41,5 +40,4 @@
       Direction, InsertAt: Integer);
     procedure cboCosignerExit(Sender: TObject);
-    procedure cboSrcListClick(Sender: TObject);
     procedure DstListChange(Sender: TObject);
     procedure btnRemoveAllSignersClick(Sender: TObject);
@@ -190,9 +188,39 @@
 end;
 
-procedure TfrmAddlSigners.cboSrcListMouseClick(Sender: TObject);
+procedure TfrmAddlSigners.btnRemoveAllSignersClick(Sender: TObject);
+begin
+  inherited;
+  DstList.SelectAll;
+  btnRemoveSignersClick(self);
+end;
+
+procedure TfrmAddlSigners.btnRemoveSignersClick(Sender: TObject);
+var
+  i,j: integer;
+begin
+  with DstList do
+    begin
+      if ItemIndex = -1 then exit ;
+      for i := Items.Count-1 downto 0 do
+        if Selected[i] then
+          begin
+            j := FExclusions.IndexOf(Items[i]);
+            FSigners.Add(ORFn.Pieces(Items[i], U, 1, 2) + '^REMOVE');
+            if j > -1 then FExclusions.Delete(j);
+            Items.Delete(i) ;
+          end;
+    end;
+end;
+
+procedure TfrmAddlSigners.btnAddSignersClick(Sender: TObject);
 var
   i: integer;
 begin
-  if cboSrcList.ItemIndex = -1 then exit;
+  if cboSrcList.ItemIndex = -1 then
+    exit;
+  if UserInactive(cboSrcList.ItemID) then
+    if (InfoBox(fNoteProps.TX_USER_INACTIVE, TC_INACTIVE_USER, MB_OKCANCEL)= IDCANCEL) then
+      exit;
+
   if (DstList.SelectByID(cboSrcList.ItemID) <> -1) then
     begin
@@ -209,36 +237,4 @@
   btnRemoveSigners.Enabled := DstList.SelCount > 0;
   btnRemoveAllSigners.Enabled := DstList.Items.Count > 0;
-   
-end;
-
-procedure TfrmAddlSigners.btnRemoveAllSignersClick(Sender: TObject);
-begin
-  inherited;
-  DstList.SelectAll;
-  btnRemoveSignersClick(self);
-end;
-
-procedure TfrmAddlSigners.btnRemoveSignersClick(Sender: TObject);
-var
-  i,j: integer;
-begin
-  with DstList do
-    begin
-      if ItemIndex = -1 then exit ;
-      for i := Items.Count-1 downto 0 do
-        if Selected[i] then
-          begin
-            j := FExclusions.IndexOf(Items[i]);
-            FSigners.Add(ORFn.Pieces(Items[i], U, 1, 2) + '^REMOVE');
-            if j > -1 then FExclusions.Delete(j);
-            Items.Delete(i) ;
-          end;
-    end;
-end;
-
-procedure TfrmAddlSigners.btnAddSignersClick(Sender: TObject);
-begin
-  inherited;
-  cboSrcListMouseClick(btnAddSigners);
 end;
 
@@ -279,5 +275,5 @@
 begin
   inherited;
-if DstList.SelCount = 1 then
+  if DstList.SelCount = 1 then
     if Piece(DstList.Items[0], '^', 1) = '' then
     begin
@@ -293,5 +289,5 @@
   Shift: TShiftState);
 begin
-  if Key = VK_RETURN then cboSrcListMouseClick(Self);
+  if Key = VK_RETURN then btnAddSignersClick(Self);
 end;
 
@@ -332,9 +328,9 @@
     CT_NOTES:     TORComboBox(Sender).ForDataUse(SubSetOfUsersWithClass(StartFrom, Direction, FToday));
     CT_CONSULTS:  TORComboBox(Sender).ForDataUse(SubSetOfUsersWithClass(StartFrom, Direction, FToday));
+
     //CQ #17218 - Updated to properly filter co-signers - JCS
     //CT_DCSUMM:    TORComboBox(Sender).ForDataUse(SubSetOfProviders(StartFrom, Direction));
     CT_DCSUMM: (Sender as TORComboBox).ForDataUse(SubSetOfCosigners(StartFrom, Direction,
         FMToday, 0, frmDCSumm.lstSumms.ItemIEN));
-
   end;
 end;
@@ -348,12 +344,7 @@
 begin
   inherited;
-btnAddSigners.Enabled := CboSrcList.ItemIndex > -1;
-end;
-
-procedure TfrmAddlSigners.cboSrcListClick(Sender: TObject);
-begin
-  if UserInactive(cboSrcList.ItemID) then
-    if (InfoBox(fNoteProps.TX_USER_INACTIVE, TC_INACTIVE_USER, MB_OKCANCEL)= IDCANCEL) then exit;
-
+  btnAddSigners.Enabled := CboSrcList.ItemIndex > -1;
+  if (DstList.SelectByID(cboSrcList.ItemID) <> -1) then
+    btnAddSigners.Enabled := false;
 end;
 
